Returns the last value

- « Ds\Vector::jsonSerialize

- Ds\Vector::map »

- PHP Manual
- Ds\Vector
- Returns the last value

# Ds\Vector::last

(PECL ds >= 1.0.0)

Ds\Vector::last — Returns the last value

### Description

public Ds\Vector::last(): mixed

Returns the last value in the vector.

### Parameters

This function has no parameters.

### Return Values

The last value in the vector.

### Errors/Exceptions

UnderflowException if empty.

### Examples

Example #1 Ds\Vector::last() example

    <?php
    $vector = new \Ds\Vector([1, 2, 3]);
    var_dump($vector->last());
    ?>

The above example will output something similar to:

    int(3)